package com.company;

import java.util.Random;

public class Dealer {
    private Deck deck =  new Deck();
    private Player []players;
    private Card []table = new Card[5];
    private GAME_STAGE stage = GAME_STAGE.PREFLOP;
    private Random random = new Random(System.currentTimeMillis());

    public Dealer(String []playerNames) throws Exception {
        if (playerNames.length < 2 || playerNames.length > 10) {
            throw new Exception("Некорректное количество игроков");
        }
        players = new Player[playerNames.length];

        for (int i = 0; i < playerNames.length; i++) {
            players[i] = new Player(playerNames[i]);
        }
    }

    public void HandOut() {
        switch (stage) {
            case PREFLOP: {
                for (int i = 0; i < players.length; i++) {
                    Card card1 = deck.Cards[random.nextInt(deck.CARD_COUNT)];
                    Card card2 = deck.Cards[random.nextInt(deck.CARD_COUNT)];

                    if (card1.isOnHand() || card2.isOnHand()) {
                        i--;
                        continue;
                    }

                    players[i].setLeft(card1);
                    players[i].setRight(card2);
                    card1.setOnHand(true);
                    card2.setOnHand(true);
                }
            } break;
            case FLOP: {

            } break;
            case TURN: {

            } break;
            case RIVER: {

            } break;
            case OPENING: {

            } break;
        }
    }

}
